Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Buildable

    public interface Buildable

A `Buildable` represents an artifact or set of artifacts which are built by one or more Task instances.

Method Summary
`TaskDependency` | `getBuildDependencies()` Returns a dependency which contains the tasks which build this artifact.

Method Detail

### getBuildDependencies

    public TaskDependency getBuildDependencies()

  Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
  Returns:
    The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any tasks.

Gradle API 1.10